TODO:
==Single Browser==
-Add more effects, filters as necessary
-Clean up Cropper
==Slideshow==
-Smoother Movement
==Thumb Browser==
-Add ability to view more info on image(Exif perhaps?)
==Other Possibilities==
-Exporting to flickr, facebook, gplus, etc..
-Read straight from a camera
-Show mounted devices
